#ifndef _Displace_HPP_
#define _Displace_HPP_

#include <stdio.h>
#include "../externs.hpp"

class Displace : public Base
{
	public:

		Displace();
		~Displace();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        Mesh *object;
		int vertexcount;
		int facecount;

        void renderScene(float pos, float alpha);
};

#endif
